help install mysql odbc driver

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

help install mysql odbc driver

Giovanni Marra
Hi,
i have installed unixODBC 2.3.2 on my redhat 5.5 enterprise distribution.
I have to install the ODBC driver for mysql, that i have downloaded from mysql web site.
When i try to install the file mysql-connector-odbc-5.2.6-1.rhel5.i386.rpm with rpm i receive this error:

error: Failed dependencies:
        libodbc.so.1 is needed by mysql-connector-odbc-5.2.6-1.rhel5.i386
        libodbcinst.so.1 is needed by mysql-connector-odbc-5.2.6-1.rhel5.i386

How can install this package?
Thanks a lot

--


Dott. Giovanni Marra

Meware s.r.l.
SOA&BPM B.U. Junior TIBCO Specialist

Via della Sierra Nevada, 108 - 00144 Roma
tel. 06 98230333 fax. 06 98230299


_______________________________________________
unixODBC-support mailing list
[hidden email]
http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support
Reply | Threaded
Open this post in threaded view
|

Re: help install mysql odbc driver

Nick Gorham-2
On 05/12/13 13:34, Giovanni Marra wrote:

> Hi,
> i have installed unixODBC 2.3.2 on my redhat 5.5 enterprise distribution.
> I have to install the ODBC driver for mysql, that i have downloaded
> from mysql web site.
> When i try to install the file
> mysql-connector-odbc-5.2.6-1.rhel5.i386.rpm with rpm i receive this error:
>
> error: Failed dependencies:
>         libodbc.so.1 is needed by mysql-connector-odbc-5.2.6-1.rhel5.i386
>         libodbcinst.so.1 is needed by
> mysql-connector-odbc-5.2.6-1.rhel5.i386
>
> How can install this package?
> Thanks a lot
>
Create symbolic links from libodbc.so.1 to libodbc.so.2 and
libodbcinst.so.1 to libodbcinst.so.2

--
Nick
_______________________________________________
unixODBC-support mailing list
[hidden email]
http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support
Reply | Threaded
Open this post in threaded view
|

Re: help install mysql odbc driver

Giovanni Marra
Hi,
thank you so much for your answear.
I have installed the driver, but now i have this problem when i start the odbc connecion:

DBError: Database driver code: HY000 Database server code: 0 Database driver message: [DataDirect][ODBC lib] The evaluation period for this DataDirect ODBC Driver Manager has expired. Please call DataDirect Technologies to obtain a production version.

Can you help me again?
thanks



2013/12/5 Nick Gorham <[hidden email]>
On 05/12/13 13:34, Giovanni Marra wrote:
Hi,
i have installed unixODBC 2.3.2 on my redhat 5.5 enterprise distribution.
I have to install the ODBC driver for mysql, that i have downloaded from mysql web site.
When i try to install the file mysql-connector-odbc-5.2.6-1.rhel5.i386.rpm with rpm i receive this error:

error: Failed dependencies:
        libodbc.so.1 is needed by mysql-connector-odbc-5.2.6-1.rhel5.i386
        libodbcinst.so.1 is needed by mysql-connector-odbc-5.2.6-1.rhel5.i386

How can install this package?
Thanks a lot

Create symbolic links from libodbc.so.1 to libodbc.so.2 and libodbcinst.so.1 to libodbcinst.so.2

--
Nick
_______________________________________________
unixODBC-support mailing list
[hidden email]
http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support



--


Dott. Giovanni Marra

Meware s.r.l.
SOA&BPM B.U. Junior TIBCO Specialist

Via della Sierra Nevada, 108 - 00144 Roma
tel. 06 98230333 fax. 06 98230299


_______________________________________________
unixODBC-support mailing list
[hidden email]
http://mailman.unixodbc.org/mailman/listinfo/unixodbc-support